<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AssimpMetadata Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_assimp_metadata.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_assimp_metadata-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AssimpMetadata Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents an Assimp metadata.  
 <a href="class_tri_lib_1_1_assimp_metadata.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab5b97368b37086363a8b37633810b56d"><td class="memItemLeft" align="right" valign="top"><a id="ab5b97368b37086363a8b37633810b56d" name="ab5b97368b37086363a8b37633810b56d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>AssimpMetadata</b> (<a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cd">AssimpMetadataType</a> metadataType, uint metadataIndex, string metadataKey, object metadataValue)</td></tr>
<tr class="separator:ab5b97368b37086363a8b37633810b56d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1bc099e82db7f45af20ede5d78dcceb9"><td class="memItemLeft" align="right" valign="top"><a id="a1bc099e82db7f45af20ede5d78dcceb9" name="a1bc099e82db7f45af20ede5d78dcceb9"></a>
<a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cd">AssimpMetadataType</a>&#160;</td><td class="memItemRight" valign="bottom"><b>MetadataType</b></td></tr>
<tr class="separator:a1bc099e82db7f45af20ede5d78dcceb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a433c9de7b812a6f6abd36195145c016e"><td class="memItemLeft" align="right" valign="top"><a id="a433c9de7b812a6f6abd36195145c016e" name="a433c9de7b812a6f6abd36195145c016e"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>MetadataIndex</b></td></tr>
<tr class="separator:a433c9de7b812a6f6abd36195145c016e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dba075c096d7f11d732be82bd6da96d"><td class="memItemLeft" align="right" valign="top"><a id="a3dba075c096d7f11d732be82bd6da96d" name="a3dba075c096d7f11d732be82bd6da96d"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>MetadataKey</b></td></tr>
<tr class="separator:a3dba075c096d7f11d732be82bd6da96d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0f4a3b1d63109a72090a90855638736"><td class="memItemLeft" align="right" valign="top"><a id="ab0f4a3b1d63109a72090a90855638736" name="ab0f4a3b1d63109a72090a90855638736"></a>
object&#160;</td><td class="memItemRight" valign="bottom"><b>MetadataValue</b></td></tr>
<tr class="separator:ab0f4a3b1d63109a72090a90855638736"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents an Assimp metadata. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_assimp_metadata_8cs.html">AssimpMetadata.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
